unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    MainMenu1  : TMainMenu;
    File1      : TMenuItem;
    Open1      : TMenuItem;
    Panel      : TPanel;
    OpenDialog : TOpenDialog;
    Timer1     : TTimer;
    procedure FormDestroy(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private Ϻ̶ Դϴ }
  public
    { Public ̶ Դϴ }
  end;

var
  Form1  : TForm1;

implementation

{$R *.DFM}

uses
   USmSAMI, USmAudio;

var
   SmSAMI  : TSmSAMI;
   SmAudio : TSmAudio;

procedure TForm1.Timer1Timer(Sender: TObject);
var
   Caption : String;
begin
   if SmSAMI.GetCaption( Caption, FALSE ) then begin
      if Caption <> '' then
         Panel.Caption := Caption;
   end
   else begin
      Close;
   end;
end;

procedure TForm1.Open1Click(Sender: TObject);
var
   FileName : String;
begin
   if OpenDialog.Execute then begin
      FileName := OpenDialog.FileName;

      SmAudio  := TSmAudio.Create;
      SmAudio.Open( FileName );

      FileName := ChangeFileExt( FileName, '.smi' );
      if FileExists( FileName ) then begin
         SmSAMI := TSmSAMI.Create;
         SmSAMI.Open( FileName );
      end
      else begin
         FileName := ChangeFileExt( FileName, '.sami' );
         if FileExists( FileName ) then begin
            SmSAMI := TSmSAMI.Create;
            SmSAMI.Open( FileName );
         end;
      end;

      SmAudio.Play;

      if Assigned( SmSAMI ) then begin
         SmSAMI.Run;
         Timer1.Enabled := TRUE;
      end;

      Self.Caption  := OpenDialog.FileName;
      File1.Enabled := FALSE;

   end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
   Timer1.Enabled := FALSE;

   if Assigned( SmSAMI ) then
      SmSAMI.Free;

   if Assigned( SmAudio ) then
      SmAudio.Free;
end;

end.

